org.codehaus.plexus.container.initialization

## Class InitializeComponentRegistryPhase

- java.lang.Object
- - org.codehaus.plexus.container.initialization.InitializeComponentRegistryPhase

All Implemented Interfaces:
  ContainerInitializationPhase

    public class InitializeComponentRegistryPhase
    extends java.lang.Object
    implements ContainerInitializationPhase

Author:
  Jason van Zyl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.container.initialization.ContainerInitializationPhase

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`InitializeComponentRegistryPhase()`

### Method Summary

Methods
`void` `execute(ContainerInitializationContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InitializeComponentRegistryPhase

    public InitializeComponentRegistryPhase()

### Method Detail

#### execute

    public void execute(ContainerInitializationContext context)
                 throws ContainerInitializationException

Specified by:
  `execute` in interface `ContainerInitializationPhase`
Throws:
  `ContainerInitializationException`